## fetch.php?media=ceos_lab_4_33_1f.tar

=== rpm/Makefile ===
# This file is part of tcollector.
# Copyright (C) 2011  The tcollector Authors.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.  This program is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
# General Public License for more details.  You should have received a copy
# of the GNU Lesser General Public License along with this program.  If not,
# see <http://www.gnu.org/licenses/>.

# This Makefile is a complete train wreck.  I'm sorry.  --tsuna

PACKAGE_VERSION := 1.2.1
RPM_REVISION := 1
# Where do we install our files.
tcollectordir := /usr/local/tcollector

# Various commands we need.
MKDIR_P := mkdir -p
CP_P := cp -p
# In some environment this command can be called `gsha1sum' or `digest'.
SHA1SUM := sha1sum
ZIP := zip -9
PYTHON_VERSION := 2.7
PYTHON := python$(PYTHON_VERSION)

# Our "source tree" is in the parent directory, always.
VPATH := ..

# What files to put in the RPM.
FILES := \
	collectors/0/dfstat.py	\
	collectors/0/ifstat.py	\
	collectors/0/iostat.py	\
	collectors/0/netstat.py	\
	collectors/0/procnettcp.py	\
	collectors/0/procstats.py	\
	collectors/0/smart-stats.py	\
	collectors/__init__.py	\
	collectors/lib/__init__.py	\
	collectors/lib/utils.py	\
	tcollector.py	\

# Extra EOS-specific collectors
EXTRA := \
	eos/collectors/agentcpu.sh	\
	eos/collectors/eos.py	\

git_version := \
  `git rev-list --pretty=format:%h HEAD --max-count=1 | sed 1d || echo unknown`
git_fullsha1 := \
  `git rev-list --pretty=format:%H HEAD --max-count=1 | sed 1d || echo unknown`
# What / where do we build.
DESTDIR := destdir
RPM_TARGET := noarch
BASENAME := tcollector-$(PACKAGE_VERSION)-$(RPM_REVISION)
RPM := $(BASENAME).$(RPM_TARGET).rpm
EOSRPM := $(BASENAME)-eos.$(RPM_TARGET).rpm
SWIX := $(BASENAME).swix

all: rpm $(SWIX)
rpm: $(RPM)

$(SWIX): $(EOSRPM) manifest.txt
	$(ZIP) $@ $^

manifest.txt: $(EOSRPM) Makefile
	set -e; { \
          echo 'format: 1'; \
          echo 'primaryRpm: $(EOSRPM)'; \
          echo -n '$(EOSRPM)-sha1: '; \
          set `$(SHA1SUM) "$(EOSRPM)"`; \
          echo $$1; \
        } >$@-t
	mv $@-t $@

# TODO(tsuna): Find whether we can get rpmbuild to not create the rpm under a
# subdirectory.  This is annoying.
.spec.rpm:
	rpmbuild --target=$(RPM_TARGET) --buildroot=`pwd`/$(DESTDIR) -bb $<
	test -f $@ || for rpm in $(RPM_TARGET)/$@ \
		`awk '$$1=="Name:"{print $$2}' $<`.`awk '$$1=="BuildArch:"{print $$2}' $<`.rpm; do \
          test -f "$$rpm" && mv "$$rpm" $@ && break; \
        done
	if test -d $(RPM_TARGET); then rmdir $(RPM_TARGET); fi

.dist-stamp: $(FILES) $(EXTRA) Makefile
	rm -rf $(DESTDIR)
	$(MKDIR_P) "$(DESTDIR)"
	@: >filelist >filelist.extra
	for file in $(FILES); do \
          d=`dirname "$$file"`;  \
          if test ! -d "$(DESTDIR)/$(tcollectordir)/$$d"; then \
            echo "%dir \"$(tcollectordir)/$$d\"" >>filelist; \
            echo $(MKDIR_P) "'$(DESTDIR)/$(tcollectordir)/$$d'"; \
            $(MKDIR_P) "$(DESTDIR)/$(tcollectordir)/$$d" || exit $$?; \
          fi; \
          echo "\"$(tcollectordir)/$$file\"" >>filelist; \
          case $$file in \
            (*.py) echo "\"$(tcollectordir)/$${file}c\"" >>filelist;; \
          esac; \
          echo $(CP_P) "$(VPATH)/$$file" "'$(DESTDIR)/$(tcollectordir)/$$file'"; \
          $(CP_P) "$(VPATH)/$$file" "$(DESTDIR)/$(tcollectordir)/$$file" || exit $$?; \
        done
	@for file in $(EXTRA); do \
          src=$(VPATH)/$$file; \
          file="$(tcollectordir)/collectors/0/`basename $$file`"; \
          echo "\"$$file\"" >>filelist.extra; \
          case $$file in \
            (*.py) echo "\"$${file}c\"" >>filelist.extra;; \
          esac; \
          echo $(CP_P) "$$src" "'$(DESTDIR)/$$file'"; \
          $(CP_P) "$$src" "$(DESTDIR)/$$file" || exit $$?; \
        done
	$(PYTHON) -m compileall -q "$(DESTDIR)"
	chmod -R a+rX "$(DESTDIR)"
	@touch $@

common.spec: .dist-stamp tcollector.spec ChangeLog $(VPATH)/README Makefile
	set -e; { \
          echo "# File generated by Makefile, do not edit"; \
	  sed \
            -e 's/@PACKAGE_VERSION@/$(PACKAGE_VERSION)/' \
            -e 's/@PYTHON_VERSION@/$(PYTHON_VERSION)/' \
            -e "s/@GIT_SHORTSHA1@/$(git_version)/" \
            -e "s/@GIT_FULLSHA1@/$(git_fullsha1)/" \
            -e 's/@RPM_REVISION@/$(RPM_REVISION)/' \
	    tcollector.spec; \
        } >$@-t
	mv $@-t $@

RPM_SPEC := $(RPM:.rpm=.spec)
$(RPM_SPEC): common.spec linux.spec
	mkdir -p $(DESTDIR)/etc/init.d
	cp initd.sh $(DESTDIR)/etc/init.d/tcollector
	{ \
          cat $^; \
          echo %files; \
          cat filelist; \
          echo '%attr(755, -, -) "/etc/init.d/tcollector"'; \
          echo %changelog; \
          cat ChangeLog; \
          echo %description; \
          cat $(VPATH)/README; \
	} >$@-t
	mv $@-t $@

EOSRPM_SPEC := $(EOSRPM:.rpm=.spec)
$(EOSRPM_SPEC): eos.spec common.spec
	$(MKDIR_P) $(DESTDIR)/usr/bin
	$(CP_P) "$(VPATH)/eos/tcollector" "$(DESTDIR)/usr/bin/"
	$(MKDIR_P) $(DESTDIR)/usr/lib/python$(PYTHON_VERSION)/site-packages/
	$(CP_P) "$(VPATH)/eos/tcollector_agent.py" "$(DESTDIR)/usr/lib/python$(PYTHON_VERSION)/site-packages/"
	{ \
          cat $^; \
          echo %files; \
          cat filelist; \
          cat filelist.extra; \
          echo /usr/lib/python$(PYTHON_VERSION)/site-packages/tcollector_agent.py; \
          echo '%attr(755, -, -) /usr/bin/tcollector'; \
          echo %changelog; \
          cat ChangeLog; \
          echo %description; \
          cat $(VPATH)/README; \
	} >$@-t
	mv $@-t $@

clean:
	rm -rf "$(DESTDIR)/$(tcollectordir)"
	rm -f $(DESTDIR)/etc/init.d/tcollector
	rm -f $(DESTDIR)/usr/bin/tcollector
	rm -f $(DESTDIR)/usr/lib/python$(PYTHON_VERSION)/site-packages/tcollector_agent.py*
	@test -d "$(DESTDIR)" || exit 0; \
        find "$(DESTDIR)" -depth -type d \
        | while read dir; do \
          echo rmdir "'$$dir'"; \
          rmdir "$$dir" || exit $$?; \
        done
	rm -f common.spec $(RPM_SPEC) $(EOSRPM_SPEC) filelist manifest.txt $(EOSRPM)
	@rm -f .dist-stamp

distclean: clean
	rm -f $(SWIX) $(RPM)

.PHONY: all rpm clean distclean
.SUFFIXES: .spec .rpm

=== lib/python3.9/config-3.9-i386-linux-gnu/Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Top-level Makefile for Python
#
# As distributed, this file is called Makefile.pre.in; it is processed
# into the real Makefile by running the script ./configure, which
# replaces things like @spam@ with values appropriate for your system.
# This means that if you edit Makefile, your changes get lost the next
# time you run the configure script.  Ideally, you can do:
#
#	./configure
#	make
#	make test
#	make install
#
# If you have a previous version of Python installed that you don't
# want to overwrite, you can use "make altinstall" instead of "make
# install".  Refer to the "Installing" section in the README file for
# additional details.
#
# See also the section "Build instructions" in the README file.

# === Variables set by makesetup ===

MODBUILT_NAMES=      posix  errno  pwd  _sre  _codecs  _weakref  _functools  _operator  _collections  _abc  itertools  atexit  _signal  _stat  time  _thread  _locale  _io  faulthandler  _tracemalloc  _peg_parser  _symtable  xxsubtype
MODDISABLED_NAMES= 
MODOBJS=             Modules/posixmodule.o  Modules/errnomodule.o  Modules/pwdmodule.o  Modules/_sre.o  Modules/_codecsmodule.o  Modules/_weakref.o  Modules/_functoolsmodule.o  Modules/_operator.o  Modules/_collectionsmodule.o  Modules/_abc.o  Modules/itertoolsmodule.o  Modules/atexitmodule.o  Modules/signalmodule.o  Modules/_stat.o  Modules/timemodule.o  Modules/_threadmodule.o  Modules/_localemodule.o  Modules/_iomodule.o Modules/iobase.o Modules/fileio.o Modules/bytesio.o Modules/bufferedio.o Modules/textio.o Modules/stringio.o  Modules/faulthandler.o  Modules/_tracemalloc.o  Modules/_peg_parser.o  Modules/symtablemodule.o  Modules/xxsubtype.o
MODLIBS=           $(LOCALMODLIBS) $(BASEMODLIBS)

# === Variables set by configure
VERSION=	3.9
srcdir=		/bld/python39/Artools-rpmbuild/Python-3.9.19
VPATH=		/bld/python39/Artools-rpmbuild/Python-3.9.19
abs_srcdir=	/bld/python39/Artools-rpmbuild/Python-3.9.19
abs_builddir=	/bld/python39/Artools-rpmbuild/Python-3.9.19/build/optimized


CC=		gcc
CXX=		g++
MAINCC=		$(CC)
LINKCC=		$(PURIFY) $(MAINCC)
AR=		ar
READELF=	readelf
SOABI=		cpython-39-i386-linux-gnu
LDVERSION=	$(VERSION)$(ABIFLAGS)
LIBPYTHON=	
GITVERSION=	
GITTAG=		
GITBRANCH=	
PGO_PROF_GEN_FLAG=-fprofile-generate
PGO_PROF_USE_FLAG=-fprofile-use -fprofile-correction
LLVM_PROF_MERGER=true
LLVM_PROF_FILE=
LLVM_PROF_ERR=no
DTRACE=         /usr/bin/dtrace
DFLAGS=          
DTRACE_HEADERS= Include/pydtrace_probes.h
DTRACE_OBJS=    Python/pydtrace.o

GNULD=		yes

# Shell used by make (some versions default to the login shell, which is bad)
SHELL=		/bin/sh

# Use this to make a link between python$(VERSION) and python in $(BINDIR)
LN=		ln

# Portable install script (configure doesn't always guess right)
INSTALL=	/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_SCRIPT= ${INSTALL}
INSTALL_DATA=	${INSTALL} -m 644
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
INSTALL_SHARED= ${INSTALL} -m 755

MKDIR_P=	/usr/bin/mkdir -p

MAKESETUP=      $(srcdir)/Modules/makesetup

# Compiler options
OPT=		-DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG  -O2  -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS  -fstack-protector-strong   -m32 -march=i686 -mtune=generic -msse2 -mfpmath=sse -mstackrealign -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv
BASECFLAGS=	 -Wno-unused-result -Wsign-compare
BASECPPFLAGS=	-IObjects -IInclude -IPython
CONFIGURE_CFLAGS=	-fno-semantic-interposition -D_FILE_OFFSET_BITS=64 -fno-semantic-interposition -D_FILE_OFFSET_BITS=64  -O2  -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS  -fstack-protector-strong   -m32 -march=i686 -mtune=generic -msse2 -mfpmath=sse -mstackrealign -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv   
# CFLAGS_NODIST is used for building the interpreter and stdlib C extensions.
# Use it when a compiler flag should _not_ be part of the distutils CFLAGS
# once Python is installed (Issue #21121).
CONFIGURE_CFLAGS_NODIST=-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m32 -march=i686 -mtune=generic -msse2 -mfpmath=sse -mstackrealign -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -fno-semantic-interposition -flto -fuse-linker-plugin -ffat-lto-objects -flto-partition=none -fasynchronous-unwind-tables -g -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden
# LDFLAGS_NODIST is used in the same manner as CFLAGS_NODIST.
# Use it when a linker flag should _not_ be part of the distutils LDFLAGS
# once Python is installed (bpo-35257)
CONFIGURE_LDFLAGS_NODIST=-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -fno-semantic-interposition -g  -flto -fuse-linker-plugin -ffat-lto-objects -flto-partition=none -fasynchronous-unwind-tables -g
CONFIGURE_CPPFLAGS=	
CONFIGURE_LDFLAGS=	   -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now    -g   
# Avoid assigning CFLAGS, LDFLAGS, etc. so users can use them on the
# command line to append to these values without stomping the pre-set
# values.
PY_CFLAGS=	$(BASECFLAGS) $(OPT) $(CONFIGURE_CFLAGS) $(CFLAGS) $(EXTRA_CFLAGS)
PY_CFLAGS_NODIST=$(CONFIGURE_CFLAGS_NODIST) $(CFLAGS_NODIST) -I$(srcdir)/Include/internal
# Both CPPFLAGS and LDFLAGS need to contain the shell's value for setup.py to
# be able to build extension modules using the directories specified in the
# environment variables
PY_CPPFLAGS=	$(BASECPPFLAGS) -I. -I$(srcdir)/Include $(CONFIGURE_CPPFLAGS) $(CPPFLAGS)
PY_LDFLAGS=	$(CONFIGURE_LDFLAGS) $(LDFLAGS)
PY_LDFLAGS_NODIST=$(CONFIGURE_LDFLAGS_NODIST) $(LDFLAGS_NODIST)
NO_AS_NEEDED=	-Wl,--no-as-needed
CCSHARED=	-fPIC
# LINKFORSHARED are the flags passed to the $(CC) command that links
# the python executable -- this is only needed for a few systems
LINKFORSHARED=	-Xlinker -export-dynamic
ARFLAGS=	rcs
# Extra C flags added for building the interpreter object files.
CFLAGSFORSHARED=$(CCSHARED)
# C flags used for building the interpreter object files
PY_STDMODULE_CFLAGS= $(PY_CFLAGS) $(PY_CFLAGS_NODIST) $(PY_CPPFLAGS) $(CFLAGSFORSHARED)
PY_BUILTIN_MODULE_CFLAGS= $(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE_BUILTIN
PY_CORE_CFLAGS=	$(PY_STDMODULE_CFLAGS) -DPy_BUILD_CORE
# Linker flags used for building the interpreter object files
PY_CORE_LDFLAGS=$(PY_LDFLAGS) $(PY_LDFLAGS_NODIST)
# Strict or non-strict aliasing flags used to compile dtoa.c, see above
CFLAGS_ALIASING=


# Machine-dependent subdirectories
MACHDEP=	linux

# Multiarch directory (may be empty)
MULTIARCH=	i386-linux-gnu
MULTIARCH_CPPFLAGS = -DMULTIARCH=\"i386-linux-gnu\"

# Install prefix for architecture-independent files
prefix=		/usr

# Install prefix for architecture-dependent files
exec_prefix=	/usr

# Install prefix for data files
datarootdir=    ${prefix}/share

# Expanded directories
BINDIR=		/usr/bin
LIBDIR=		/usr/lib
MANDIR=		/usr/share/man
INCLUDEDIR=	/usr/include
CONFINCLUDEDIR=	$(exec_prefix)/include
PLATLIBDIR=	lib
SCRIPTDIR=	$(prefix)/$(PLATLIBDIR)
ABIFLAGS=	

# Detailed destination directories
BINLIBDEST=	${exec_prefix}/${PLATLIBDIR}/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(LDVERSION)
CONFINCLUDEPY=	$(CONFINCLUDEDIR)/python$(LDVERSION)

# Symbols used for using shared libraries
SHLIB_SUFFIX=	.so
EXT_SUFFIX=	.cpython-39-i386-linux-gnu.so
LDSHARED=	$(CC) -shared $(PY_LDFLAGS)
BLDSHARED=	$(CC) -shared $(PY_CORE_LDFLAGS)
LDCXXSHARED=	$(CXX) -shared
DESTSHARED=	$(BINLIBDEST)/lib-dynload

# List of exported symbols for AIX
EXPORTSYMS=	
EXPORTSFROM=	

# Executable suffix (.exe on Windows and Mac OS X)
EXE=		
BUILDEXE=	

# Short name and location for Mac OS X Python framework
UNIVERSALSDK=
PYTHONFRAMEWORK=	
PYTHONFRAMEWORKDIR=	no-framework
PYTHONFRAMEWORKPREFIX=	
PYTHONFRAMEWORKINSTALLDIR= 
# Deployment target selected during configure, to be checked
# by distutils. The export statement is needed to ensure that the
# deployment target is active during build.
MACOSX_DEPLOYMENT_TARGET=
#export MACOSX_DEPLOYMENT_TARGET

# Option to install to strip binaries
STRIPFLAG=-s

# Flags to lipo to produce a 32-bit-only universal executable
LIPO_32BIT_FLAGS=

# Flags to lipo to produce an intel-64-only universal executable
LIPO_INTEL64_FLAGS=

# Options to enable prebinding (for fast startup prior to Mac OS X 10.3)
OTHER_LIBTOOL_OPT=

# Environment to run shared python without installed libraries
RUNSHARED=       LD_LIBRARY_PATH=/bld/python39/Artools-rpmbuild/Python-3.9.19/build/optimized

# ensurepip options
ENSUREPIP=      no

# OpenSSL options for setup.py so sysconfig can pick up AC_SUBST() vars.
OPENSSL_INCLUDES=
OPENSSL_LIBS=-lssl -lcrypto 
OPENSSL_LDFLAGS=

# Default zoneinfo.TZPATH. Added here to expose it in sysconfig.get_config_var
TZPATH=/usr/share/zoneinfo:/usr/lib/zoneinfo:/usr/share/lib/zoneinfo:/etc/zoneinfo

# Modes for directories, executables and data files created by the
# install process.  Default to user-only-writable for all file types.
DIRMODE=	755
EXEMODE=	755
FILEMODE=	644

# configure script arguments
CONFIG_ARGS=	 '--build=i686-redhat-linux-gnu' '--host=i686-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-platlibdir=lib' '--enable-ipv6' '--enable-shared' '--with-computed-gotos=yes' '--with-dbmliborder=gdbm:ndbm:bdb' '--with-system-expat' '--with-system-ffi' '--enable-loadable-sqlite-extensions' '--with-dtrace' '--with-lto' '--with-ssl-default-suites=openssl' '--with-valgrind' '--with-arslab' '--without-ensurepip' '--disable-optimizations' 'build_alias=i686-redhat-linux-gnu' 'host_alias=i686-redhat-linux-gnu' 'CFLAGS=-fno-semantic-interposition -D_FILE_OFFSET_BITS=64 -fno-semantic-interposition -D_FILE_OFFSET_BITS=64  -O2  -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS  -fstack-protector-strong   -m32 -march=i686 -mtune=generic -msse2 -mfpmath=sse -mstackrealign -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv   ' 'LDFLAGS=   -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now    -g   ' 'CPPFLAGS=' 'PKG_CONFIG_PATH=:/usr/lib/pkgconfig:/usr/share/pkgconfig'


# Subdirectories with code
SRCDIRS= 	Parser Parser/pegen Objects Python Modules Modules/_io Programs

# Other subdirectories
SUBDIRSTOO=	Include Lib Misc

# Files and directories to be distributed
CONFIGFILES=	configure configure.ac acconfig.h pyconfig.h.in Makefile.pre.in
DISTFILES=	README.rst ChangeLog $(CONFIGFILES)
DISTDIRS=	$(SUBDIRS) $(SUBDIRSTOO) Ext-dummy
DIST=		$(DISTFILES) $(DISTDIRS)


LIBRARY=	libpython$(VERSION)$(ABIFLAGS).a
LDLIBRARY=      libpython$(LDVERSION).so
BLDLIBRARY=     -L. -lpython$(LDVERSION)
PY3LIBRARY=     libpython3.so
DLLLIBRARY=	
LDLIBRARYDIR=   
INSTSONAME=	libpython$(LDVERSION).so.1.0


LIBS=		-lcrypt -lArSlab -lArSlabPy -ldl  -lm
LIBM=		-lm
LIBC=		
SYSLIBS=	$(LIBM) $(LIBC)
SHLIBS=		$(LIBS)

DLINCLDIR=	.
DYNLOADFILE=	dynload_shlib.o
MACHDEP_OBJS=	
LIBOBJDIR=	Python/
LIBOBJS=	

PYTHON=		python$(EXE)
BUILDPYTHON=	python$(BUILDEXE)

=== debian/changelog ===
tcollector (1.0-6) stable; urgency=low

  * Small tweaks and unification of init wrappers.
    Added parameter for --reconnect-interval.
    Clean out .pyc's on startup.
    Add some startup runlevels to the .rpm wrapper.
    Don't strip hostnames, leave as FQDN.

 -- Kieren Hynd <kieren.hynd@ticketmaster.co.uk>  Tue, 26 Aug 2014 16:13:09 +0100

tcollector (1.0-5) stable; urgency=low

  * Fix of invalid use of status_of_proc().

 -- Vasiliy Kiryanov <vasiliy.kiryanov@gmail.com>  Fri, 27 Jun 2014 17:28:31 +0300

tcollector (1.0-4) stable; urgency=low

  * Expose the max-bytes and backup-count options in init script.

 -- Mike Bryant <mike@mikebryant.me.uk>  Wed, 15 Jan 2014 19:02:08 +0000

tcollector (1.0-3) stable; urgency=low

  * Allow adding tags from the init default file.

 -- Tristan Colgate <tristan@we7.com>  Fri, 18 Oct 2013 16:02:29 +0100

tcollector (1.0-2) stable; urgency=low

  * Fix fail of adduser/addgroup commands if the user already exists.

 -- Mike Bryant <mike@mikebryant.me.uk>  Wed, 16 Oct 2013 14:20:45 +0100

tcollector (1.0-1) stable; urgency=low

  * Change Debian architecture from `any' to `all'.

 -- Mike Bryant <mike@mikebryant.me.uk>  Sun, 13 Oct 2013 18:21:34 +0100

tcollector (1.0) stable; urgency=low

  * Initial release.

 -- Fabian Holler <fabian.holler@profitbricks.com>  Tue, 02 Apr 2013 16:01:58 +0200

=== debian/control ===
Source: tcollector
Priority: optional
Maintainer: Fabian Holler <fabian.holler@profitbricks.com>
Standards-Version: 3.9.4
Section: utils
Build-Depends: debhelper ( >= 8 ), python-support
vcs-Browser: https://github.com/OpenTSDB/tcollector
Homepage: http://opentsdb.net/

Package: tcollector
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, adduser
Recommends: smartmontools
Section: utils
Description: data collection framework for OpenTSDB
 OpenTSDB is a distributed, scalable Time Series Database (TSDB) written on 
 top of HBase. OpenTSDB was written to address a common need: store, index
 and serve metrics collected from computer systems (network gear, operating
 systems, applications) at a large scale, and make this data easily 
 accessible and graphable.
 .
 tcollector is the data collection framework for OpenTSDB.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

build:
	cp tcollector.py tcollector

clean:
	dh_clean
	rm -f tcollector

override_dh_installinit:
	dh_installinit --no-start
